KDEPrivate::ToolBarHandler Class Reference

`#include <ktoolbarhandler.h>`

Inheritance diagram for KDEPrivate::ToolBarHandler:

## Public Slots

void | setupActions ()

## Public Member Functions

| ToolBarHandler (KMainWindow *mainWindow, const char *name=0)
| ToolBarHandler (KMainWindow *mainWindow, QObject *parent, const char *name=0)
KAction * | toolBarMenuAction ()
Public Member Functions inherited from KXMLGUIClient
| KXMLGUIClient ()
| KXMLGUIClient (KXMLGUIClient *parent)
virtual | ~KXMLGUIClient ()
KAction * | action (const char *name) const
virtual KAction * | action (const QDomElement &element) const
virtual KActionCollection * | actionCollection () const
virtual KInstance * | instance () const
virtual QDomDocument | domDocument () const
virtual QString | xmlFile () const
virtual QString | localXMLFile () const
void | setXMLGUIBuildDocument (const QDomDocument &doc)
QDomDocument | xmlguiBuildDocument () const
void | setFactory (KXMLGUIFactory *factory)
KXMLGUIFactory * | factory () const
KXMLGUIClient * | parentClient () const
void | insertChildClient (KXMLGUIClient *child)
void | removeChildClient (KXMLGUIClient *child)
const QPtrList< KXMLGUIClient > * | childClients ()
void | setClientBuilder (KXMLGUIBuilder *builder)
KXMLGUIBuilder * | clientBuilder () const
void | reloadXML ()
void | plugActionList (const QString &name, const QPtrList< KAction > &actionList)
void | unplugActionList (const QString &name)
void | addStateActionEnabled (const QString &state, const QString &action)
void | addStateActionDisabled (const QString &state, const QString &action)
StateChange | getActionsToChangeForState (const QString &state)
void | beginXMLPlug (QWidget *)
void | endXMLPlug ()
void | prepareXMLUnplug (QWidget *)

## Additional Inherited Members

Public Types inherited from KXMLGUIClient
enum | ReverseStateChange { StateNoReverse, StateReverse }
Static Public Member Functions inherited from KXMLGUIClient
static QString | findMostRecentXMLFile (const QStringList &files, QString &doc)
Protected Member Functions inherited from KXMLGUIClient
virtual void | setInstance (KInstance *instance)
virtual void | setXMLFile (const QString &file, bool merge=false, bool setXMLDoc=true)
virtual void | setLocalXMLFile (const QString &file)
virtual void | setXML (const QString &document, bool merge=false)
virtual void | setDOMDocument (const QDomDocument &document, bool merge=false)
virtual void | conserveMemory ()
virtual void | stateChanged (const QString &newstate, ReverseStateChange reverse=StateNoReverse)
virtual void | virtual_hook (int id, void *data)

## Detailed Description

Since
  3.1

Definition at line 33 of file ktoolbarhandler.h.

The documentation for this class was generated from the following files:

- ktoolbarhandler.h
- ktoolbarhandler.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys